# $Id$

ifndef KEYMAPDIR
KEYMAPDIR := keymaps
endif

ifndef ACMDIR
ACMDIR := consoletrans
endif

KEYMAPS := $(KEYMAPDIR)/mg.map $(patsubst %,$(KEYMAPDIR)/%, mglta-cp1257.map mglta-cp771.map mglta-cp773.map mglta-cp775.map mglta-lat4.map mglta-lat6.map mglta-lat7.map mgltb-cp1257.map mgltb-cp771.map mgltb-cp773.map mgltb-cp775.map mgltb-lat4.map mgltb-lat6.map mgltb-lat7.map mgltp-cp1257.map mgltp-cp771.map mgltp-cp773.map mgltp-cp775.map mgltp-lat4.map mgltp-lat6.map mgltp-lat7.map mglts-cp1257.map mglts-cp771.map mglts-cp773.map mglts-cp775.map mglts-lat4.map mglts-lat6.map mglts-lat7.map)
TARGETS += $(KEYMAPS)
DISTFILES += $(patsubst %,$(KEYMAPDIR)/%, Makefile genmake genkmap mg.map) \
             $(wildcard $(KEYMAPDIR)/*.map.in) $(KEYMAPS)

$(KEYMAPDIR)/mg.map: $(KEYMAPDIR)/mg.map.in
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' < $< > $@

$(KEYMAPDIR)/mglta-cp1257.map: $(ACMDIR)/cp1257.acm $(KEYMAPDIR)/mglta.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/cp1257.acm $(KEYMAPDIR)/mglta.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mglta-cp771.map: $(ACMDIR)/cp771.acm $(KEYMAPDIR)/mglta.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/cp771.acm $(KEYMAPDIR)/mglta.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mglta-cp773.map: $(ACMDIR)/cp773.acm $(KEYMAPDIR)/mglta.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/cp773.acm $(KEYMAPDIR)/mglta.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mglta-cp775.map: $(ACMDIR)/cp775.acm $(KEYMAPDIR)/mglta.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/cp775.acm $(KEYMAPDIR)/mglta.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mglta-lat4.map: $(ACMDIR)/lat4.acm $(KEYMAPDIR)/mglta.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/lat4.acm $(KEYMAPDIR)/mglta.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mglta-lat6.map: $(ACMDIR)/lat6.acm $(KEYMAPDIR)/mglta.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/lat6.acm $(KEYMAPDIR)/mglta.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mglta-lat7.map: $(ACMDIR)/lat7.acm $(KEYMAPDIR)/mglta.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/lat7.acm $(KEYMAPDIR)/mglta.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mgltb-cp1257.map: $(ACMDIR)/cp1257.acm $(KEYMAPDIR)/mgltb.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/cp1257.acm $(KEYMAPDIR)/mgltb.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mgltb-cp771.map: $(ACMDIR)/cp771.acm $(KEYMAPDIR)/mgltb.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/cp771.acm $(KEYMAPDIR)/mgltb.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mgltb-cp773.map: $(ACMDIR)/cp773.acm $(KEYMAPDIR)/mgltb.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/cp773.acm $(KEYMAPDIR)/mgltb.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mgltb-cp775.map: $(ACMDIR)/cp775.acm $(KEYMAPDIR)/mgltb.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/cp775.acm $(KEYMAPDIR)/mgltb.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mgltb-lat4.map: $(ACMDIR)/lat4.acm $(KEYMAPDIR)/mgltb.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/lat4.acm $(KEYMAPDIR)/mgltb.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mgltb-lat6.map: $(ACMDIR)/lat6.acm $(KEYMAPDIR)/mgltb.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/lat6.acm $(KEYMAPDIR)/mgltb.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mgltb-lat7.map: $(ACMDIR)/lat7.acm $(KEYMAPDIR)/mgltb.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/lat7.acm $(KEYMAPDIR)/mgltb.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mgltp-cp1257.map: $(ACMDIR)/cp1257.acm $(KEYMAPDIR)/mgltp.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/cp1257.acm $(KEYMAPDIR)/mgltp.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mgltp-cp771.map: $(ACMDIR)/cp771.acm $(KEYMAPDIR)/mgltp.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/cp771.acm $(KEYMAPDIR)/mgltp.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mgltp-cp773.map: $(ACMDIR)/cp773.acm $(KEYMAPDIR)/mgltp.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/cp773.acm $(KEYMAPDIR)/mgltp.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mgltp-cp775.map: $(ACMDIR)/cp775.acm $(KEYMAPDIR)/mgltp.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/cp775.acm $(KEYMAPDIR)/mgltp.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mgltp-lat4.map: $(ACMDIR)/lat4.acm $(KEYMAPDIR)/mgltp.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/lat4.acm $(KEYMAPDIR)/mgltp.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mgltp-lat6.map: $(ACMDIR)/lat6.acm $(KEYMAPDIR)/mgltp.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/lat6.acm $(KEYMAPDIR)/mgltp.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mgltp-lat7.map: $(ACMDIR)/lat7.acm $(KEYMAPDIR)/mgltp.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/lat7.acm $(KEYMAPDIR)/mgltp.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mglts-cp1257.map: $(ACMDIR)/cp1257.acm $(KEYMAPDIR)/mglts.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/cp1257.acm $(KEYMAPDIR)/mglts.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mglts-cp771.map: $(ACMDIR)/cp771.acm $(KEYMAPDIR)/mglts.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/cp771.acm $(KEYMAPDIR)/mglts.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mglts-cp773.map: $(ACMDIR)/cp773.acm $(KEYMAPDIR)/mglts.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/cp773.acm $(KEYMAPDIR)/mglts.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mglts-cp775.map: $(ACMDIR)/cp775.acm $(KEYMAPDIR)/mglts.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/cp775.acm $(KEYMAPDIR)/mglts.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mglts-lat4.map: $(ACMDIR)/lat4.acm $(KEYMAPDIR)/mglts.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/lat4.acm $(KEYMAPDIR)/mglts.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mglts-lat6.map: $(ACMDIR)/lat6.acm $(KEYMAPDIR)/mglts.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/lat6.acm $(KEYMAPDIR)/mglts.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
$(KEYMAPDIR)/mglts-lat7.map: $(ACMDIR)/lat7.acm $(KEYMAPDIR)/mglts.map.in $(KEYMAPDIR)/genkmap
	ACMDIR=$(ACMDIR) perl $(KEYMAPDIR)/genkmap $(ACMDIR)/lat7.acm $(KEYMAPDIR)/mglts.map.in |	\
	sed -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g' > $@
